namespace CMSMicroservice.Application.UserWalletCQ.Commands.DeleteUserWallet;
public class DeleteUserWalletCommandValidator : AbstractValidator<DeleteUserWalletCommand>
{
    public DeleteUserWalletCommandValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<DeleteUserWalletCommand>.CreateWithOptions((DeleteUserWalletCommand)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
